DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Attributes | List of all members
DRTBrachyControlPointSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTBrachyControlPointSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor More...
| Item (const Item &copy)
| copy constructor More...
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator More...
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty More...
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item More...
OFCondition | read (DcmItem &item)
| read elements from sequence item More...
OFCondition | write (DcmItem &item)
| write elements to sequence item More...
OFCondition | getControlPoint3DPosition (OFString &value, const signed long pos=0) const
| get ControlPoint3DPosition (300a,02d4) More...
OFCondition | getControlPoint3DPosition (Float64 &value, const unsigned long pos=0) const
| get ControlPoint3DPosition (300a,02d4) More...
OFCondition | getControlPoint3DPosition (OFVector< Float64 > &value) const
| get ControlPoint3DPosition (300a,02d4) More...
OFCondition | getControlPointIndex (OFString &value, const signed long pos=0) const
| get ControlPointIndex (300a,0112) More...
OFCondition | getControlPointIndex (Sint32 &value, const unsigned long pos=0) const
| get ControlPointIndex (300a,0112) More...
OFCondition | getControlPointOrientation (Float32 &value, const unsigned long pos=0) const
| get ControlPointOrientation (300a,0412) More...
OFCondition | getControlPointRelativePosition (OFString &value, const signed long pos=0) const
| get ControlPointRelativePosition (300a,02d2) More...
OFCondition | getControlPointRelativePosition (Float64 &value, const unsigned long pos=0) const
| get ControlPointRelativePosition (300a,02d2) More...
OFCondition | getCumulativeTimeWeight (OFString &value, const signed long pos=0) const
| get CumulativeTimeWeight (300a,02d6) More...
OFCondition | getCumulativeTimeWeight (Float64 &value, const unsigned long pos=0) const
| get CumulativeTimeWeight (300a,02d6) More...
DRTBrachyReferencedDoseReferenceSequence & | getBrachyReferencedDoseReferenceSequence ()
| get BrachyReferencedDoseReferenceSequence (300c,0055) More...
const DRTBrachyReferencedDoseReferenceSequence & | getBrachyReferencedDoseReferenceSequence () const
| get BrachyReferencedDoseReferenceSequence (300c,0055) More...
OFCondition | setControlPoint3DPosition (const OFString &value, const OFBool check=OFTrue)
| set ControlPoint3DPosition (300a,02d4) More...
OFCondition | setControlPointIndex (const OFString &value, const OFBool check=OFTrue)
| set ControlPointIndex (300a,0112) More...
OFCondition | setControlPointOrientation (const Float32 value, const unsigned long pos=0)
| set ControlPointOrientation (300a,0412) More...
OFCondition | setControlPointRelativePosition (const OFString &value, const OFBool check=OFTrue)
| set ControlPointRelativePosition (300a,02d2) More...
OFCondition | setCumulativeTimeWeight (const OFString &value, const OFBool check=OFTrue)
| set CumulativeTimeWeight (300a,02d6) More...

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DRTBrachyReferencedDoseReferenceSequence | BrachyReferencedDoseReferenceSequence
| BrachyReferencedDoseReferenceSequence (300c,0055) vr=SQ, vm=1, type=3.
DcmDecimalString | ControlPoint3DPosition
| ControlPoint3DPosition (300a,02d4) vr=DS, vm=3, type=3.
DcmIntegerString | ControlPointIndex
| ControlPointIndex (300a,0112) vr=IS, vm=1, type=1.
DcmFloatingPointSingle | ControlPointOrientation
| ControlPointOrientation (300a,0412) vr=FL, vm=3, type=3.
DcmDecimalString | ControlPointRelativePosition
| ControlPointRelativePosition (300a,02d2) vr=DS, vm=1, type=1.
DcmDecimalString | CumulativeTimeWeight
| CumulativeTimeWeight (300a,02d6) vr=DS, vm=1, type=2.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor. More...
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset. More...
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset More...
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element More...
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset More...
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset More...
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type More...
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type. More...
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type. More...

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTBrachyControlPointSequence::Item::Item | ( | const OFBool | emptyDefaultItem = `OFFalse` | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

## ◆ Item() [2/2]

DRTBrachyControlPointSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

## Member Function Documentation

## ◆ getBrachyReferencedDoseReferenceSequence() [1/2]

DRTBrachyReferencedDoseReferenceSequence& DRTBrachyControlPointSequence::Item::getBrachyReferencedDoseReferenceSequence | ( |  | ) |
| inline

get BrachyReferencedDoseReferenceSequence (300c,0055)

Returns
  reference to sequence element

## ◆ getBrachyReferencedDoseReferenceSequence() [2/2]

const DRTBrachyReferencedDoseReferenceSequence& DRTBrachyControlPointSequence::Item::getBrachyReferencedDoseReferenceSequence | ( |  | ) | const
| inline

get BrachyReferencedDoseReferenceSequence (300c,0055)

Returns
  const reference to sequence element

## ◆ getControlPoint3DPosition() [1/3]

OFCondition DRTBrachyControlPointSequence::Item::getControlPoint3DPosition | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get ControlPoint3DPosition (300a,02d4)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getControlPoint3DPosition() [2/3]

OFCondition DRTBrachyControlPointSequence::Item::getControlPoint3DPosition | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ControlPoint3DPosition (300a,02d4)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getControlPoint3DPosition() [3/3]

OFCondition DRTBrachyControlPointSequence::Item::getControlPoint3DPosition | ( | OFVector< Float64 > & | value | ) | const

get ControlPoint3DPosition (300a,02d4)

Parameters

  value | reference to variable in which the value(s) should be stored

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getControlPointIndex() [1/2]

OFCondition DRTBrachyControlPointSequence::Item::getControlPointIndex | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ControlPointIndex (300a,0112)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getControlPointIndex() [2/2]

OFCondition DRTBrachyControlPointSequence::Item::getControlPointIndex | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get ControlPointIndex (300a,0112)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getControlPointOrientation()

OFCondition DRTBrachyControlPointSequence::Item::getControlPointOrientation | ( | Float32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get ControlPointOrientation (300a,0412)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getControlPointRelativePosition() [1/2]

OFCondition DRTBrachyControlPointSequence::Item::getControlPointRelativePosition | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get ControlPointRelativePosition (300a,02d2)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getControlPointRelativePosition() [2/2]

OFCondition DRTBrachyControlPointSequence::Item::getControlPointRelativePosition | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ControlPointRelativePosition (300a,02d2)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCumulativeTimeWeight() [1/2]

OFCondition DRTBrachyControlPointSequence::Item::getCumulativeTimeWeight | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get CumulativeTimeWeight (300a,02d6)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCumulativeTimeWeight() [2/2]

OFCondition DRTBrachyControlPointSequence::Item::getCumulativeTimeWeight | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get CumulativeTimeWeight (300a,02d6)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTBrachyControlPointSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTBrachyControlPointSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item& DRTBrachyControlPointSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

## ◆ read()

OFCondition DRTBrachyControlPointSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setControlPoint3DPosition()

OFCondition DRTBrachyControlPointSequence::Item::setControlPoint3DPosition | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ControlPoint3DPosition (300a,02d4)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (3) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setControlPointIndex()

OFCondition DRTBrachyControlPointSequence::Item::setControlPointIndex | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ControlPointIndex (300a,0112)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setControlPointOrientation()

OFCondition DRTBrachyControlPointSequence::Item::setControlPointOrientation | ( | const Float32 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set ControlPointOrientation (300a,0412)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=3

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setControlPointRelativePosition()

OFCondition DRTBrachyControlPointSequence::Item::setControlPointRelativePosition | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ControlPointRelativePosition (300a,02d2)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCumulativeTimeWeight()

OFCondition DRTBrachyControlPointSequence::Item::setCumulativeTimeWeight | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set CumulativeTimeWeight (300a,02d6)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTBrachyControlPointSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtbcps.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1